Theme resources and files
Lists all theme resources
Lists resources for a theme owned by the current company, including the canonical members_sites.json snapshot. Themes without member sites receive an explicit empty version 2 document. Companyless root themes are not accessible through this endpoint. The content field remains JSON-encoded text.
GET
/
api
/
application_themes
/
{application_theme_id}
/
resources
Lists all theme resources
curl --request GET \
--url https://api.fluid.app/api/application_themes/{application_theme_id}/resources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/application_themes/{application_theme_id}/resources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/application_themes/{application_theme_id}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content_version_sha": "9c3e1b7a42f06d58e2a91c4b7d03f6e85a12bc47",
"application_theme_resources": [
{
"resource_type": "ApplicationTheme",
"resource_id": 7310,
"key": "variables.json",
"content": {
"color_primary": "#1f4e79"
},
"checksum": "3b7f0d2c9a8e41f6b5d2c7e09a1f4b8d6e3c2a71f09b8d4e5c6a7b1f2e3d4c5a",
"url": null
},
{
"resource_type": "ApplicationThemeTemplate",
"resource_id": 48213,
"key": "product/paper_product_page/index.liquid",
"content": "{% layout 'theme' %}\n<h1>{{ product.title }}</h1>",
"checksum": "a1c9e8f7d6b5a4c3e2f1d0b9a8c7e6f5d4c3b2a1f0e9d8c7b6a5f4e3d2c1b0a9",
"url": null
},
{
"resource_type": "FileResource",
"resource_id": 88214,
"key": "assets/scranton-hero.jpg",
"content": null,
"checksum": "7e2d9c4b1a0f8e6d5c3b2a1f0e9d8c7b6a5f4e3d2c1b0a99e8d7c6b5a4f3e2d1",
"url": "https://cdn.fluid.app/dunder-mifflin/assets/scranton-hero.jpg"
}
],
"meta": {
"request_id": "4f1c2a9e-7b3d-4e8a-9c61-2d5f8a0b3e17",
"timestamp": "2026-09-22T15:04:12Z"
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Path Parameters
⌘I
Lists all theme resources
